MSKGraphInternal::Pattern Struct Reference

Internal: the pattern. More...

## Public Types

enum | Type { P_Unknown, P_None, P_Percent }

## Public Member Functions

| Pattern (Type type=P_Unknown, float perc=1.0)
| constructor More...
bool | hasPattern () const
| return true if this correspond to a pattern More...

## Static Public Member Functions

static float | getPercentV2 (int id)

## Public Attributes

Type | m_type
| the pattern type More...
float | m_filled
| the approximated filled factor More...

## Friends

std::ostream & | operator<< (std::ostream &o, Pattern const &pat)
| operator<< More...

## Detailed Description

Internal: the pattern.

## Member Enumeration Documentation

enum MSKGraphInternal::Pattern::Type

Enumerator
P_Unknown |
P_None |
P_Percent |

## Constructor & Destructor Documentation

MSKGraphInternal::Pattern::Pattern | ( | Type | type = `P_Unknown`,
|  | float | perc = `1.0`
| ) |  |

inline

constructor

## Member Function Documentation

static float MSKGraphInternal::Pattern::getPercentV2 | ( | int | id | ) |

inline static

Referenced by MSKGraph::readPictHeader().

bool MSKGraphInternal::Pattern::hasPattern | ( |  | ) | const

inline

return true if this correspond to a pattern

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), and MSKGraphInternal::Zone::print().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Pattern const & | pat
| ) |  |

friend

operator<<

## Member Data Documentation

float MSKGraphInternal::Pattern::m_filled

the approximated filled factor

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), and MSKGraphInternal::Zone::print().

Type MSKGraphInternal::Pattern::m_type

the pattern type

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), hasPattern(), and MSKGraphInternal::Zone::print().

The documentation for this struct was generated from the following file:

- MSKGraph.cxx